clear
x=linspace(0,3*pi,30);   %在给定区间，均匀选取30个采样点
y=exp(-0.5*x)+sin(x);  
[p1,s1]=polyfit(x,y,5)   %3阶多项式拟合
g1=poly2str(p1,'x')       %显示拟合的4阶多项式
[p2,s2]=polyfit(x,y,7)    %4阶多项式拟合
g2=poly2str(p2,'x')        %显示拟合的5阶多项式  
y1=polyval(p1,x);          %用4阶多项式求采样的值      
y2=polyval(p2,x);          %用5阶多项式求采样的值  
plot(x,y,'-*',x,y1,':O',x,y2,':+')    % 4阶多项式，5阶多项式和f（x）绘图比较 
legend('f(x)','5阶多项式','7阶多项式')





